Subject: RE: DLL's for use with other languages...
From: [email-masked]

16 Jun 1997 09:04:27 -0700
Sender: [email-masked]
Approved: [email-masked]
Distribution: cygnus
Message-ID: <[email-masked]>
Original-From: [email-masked]
Original-From: [email-masked]
Original-To: [email-masked]
Original-Cc: [email-masked]
X-Sun-Charset: US-ASCII
Original-Sender: [email-masked]

>   >From:	SMTP%"[email-masked]" 12-JUN-1997 13:33:54.79
>   > What I want to know is
>   >can GNU-WIN32 or cygwin32 create dll's that can be used by Visual Basic?
>   >I have tried some small dll's and tested with C drivers which works ok,
>   >but when I try to use with VisBasic I get one of several errors..
>   >
>   >   unable to find function in dll
>   >   invalid call (help makes ref to pascal calling convention)
>   >
>   >I have tried using cygwin32, mingw32, and also lcc.. all pass the C
>   >driver test, but all fail the VB test
>   >
>   >any help would be appreciated..
> 
> I wish I could be of help, but unfortunately I have not been able to solve this
> problem either.  I too want to use cygwin32 dll's with Visual Basic, and end up
> with the same error.  I have tried using both relocatable and non-relocatable
> dll's.  I went to Microsoft's website and tried all their suggestions about
> using '__stdcall' and 'declspec(dllexport)' to no avail.
> 
> I would really like to understand why this is happening, but I don't know enough
> about the internal's of DLL structure to fix the problem.
> 
> It would really be great if someone who had solved the problem of using cygwin32
> dll's with OTHER programs (especially Visual Basic) would provide an example.

I have been attempting to get cygwin32 to interoperate with MS VC++ with only
limited success.  I have been doing this in my spare time only.  I have been
modifying dlltool to produce dlls in the same format as MS tools and have
gotten fairly close.   There are a couple of relocation types that are used
differently between cygwin32 and MS, and MS seems to depend on the file
names within the archive to be the same instead of dt.o, dh.o, dX.o, etc.
used by dlltool.  It appears that MS and gnu differ on what constitutes an
individual module within an archive.

I will hopefully have some time pretty soon to update my changes to the b18
version of cygwin32 and continue my investigation.  In the mean time, if
anyone would like to pick up the changes as they are, I can send diffs
for b17.1...

marcus hall
Lucent Technologies
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".